a fix for unity crashing on opening any window

  1. download unityhub 2.4.6 from https://public-cdn.cloud.unity3d.com/hub/prod/UnityHub.AppImage
  2. after installing and signing in, if you could activate a new license, then open the editor from it and you’re good to go
  3. however if you couldn’t and the hub crashed with segmentation fault, I assume you have hub 3.xx installed from flathub and the license is activated, so copy /home//.var/app/com.unity.UnityHub/data/unity3d/ to /home//.local/share/unity3d/ and any editor version from the hub
2 Likes

however, it will be great if the editor identify the license of the flatpak hub!

1 Like

This worked for me, thought I had to run the AppImage with a --disable-gpu-sandbox flag per https://discussions.unity.com/t/873337

Thanks for sharing. Had this issue with flatpak. I was able to downgrade to 2.6 and use Unity as normal.

To do this,

  1. Make sure Unity flatpak is currently installed
  2. Run flatpak update --commit=e5bea653114a7a097b2be5320a667fabc1eb9ff0b49d120e61b318ec0d2f075c com.unity.UnityHub

After downgrading, it now works as expected.

Info on downgrading flatpaks

I can confirm that this fix worked for me.
Originally installed Unity via Pop Shop

Pop OS 22.04
Unity Hub 3.3.0 → Unity Hub 2.4.6
Editor versions 2021.3.14f1 and 2022.1.23f1

Thank you!

i know this thread is quite old,
but i can confirm downgrading the hub to 2.6 fixed
the issue i was having where the Unity editor version 2021.3.15f1
would crash any time i opened another window in it,
for example the package manager.
Running on Pop!_OS 22.04

Me again, I replaced my NVME with Pop OS 22.04 again and Unity Hub 3.4.1 and no longer have this issue.

Im also using hub 3.4.1 and despite the libsssl1.0 workaround, I can work fine too :slight_smile: